import { createApp } from "vue";
import Layui, { layer } from "@layui/layui-vue";
import "@layui/layui-vue/lib/index.css";
import { router } from "./router";
import App from "./App.vue";

const app = createApp(App);

app.config.globalProperties.$message = (msg: string, icon = 1) => {
  layer.msg(msg, { time: 1000, icon });
};
app.config.globalProperties.$confirm = (msg: string, title = "提示") => {
  layer.confirm(msg, { title });
};
app.config.globalProperties.$waitingConfirm = (
  msg: string,
  title = "提示",
  type = {
    confirmButtonText: "确定",
    cancelButtonText: "取消",
  }
) => {
  return new Promise((resolve) => {
    layer.confirm(msg, {
      title: title,
      btn: [
        {
          text: type.confirmButtonText,
          callback: (id: any) => {
            resolve(true);
            layer.close(id);
          },
        },
        {
          text: type.cancelButtonText,
          callback: (id: any) => {
            resolve(false);
            layer.close(id);
          },
        },
      ],
    });
  });
};

app.use(Layui);
app.use(router);
app.mount("#app");
