import { md5 } from "js-md5";

export const generateAvatar = (text: string, backgroundColor?: string, textColor?: string) => {
  const canvas = document.createElement("canvas");
  const context = canvas.getContext("2d");

  const lastChar = text.charAt(text.length - 1);
  const backgroundList = ["#1e9fff", "#ffb800", "#ff5722", "#16b777"];
  let textInt = parseInt(md5(text));
  textInt = !isNaN(textInt) ? textInt % 4 : 0;

  canvas.width = 200;
  canvas.height = 200;

  context!.fillStyle = !!backgroundColor ? backgroundColor : backgroundList[textInt] || "#ccc";
  context!.fillRect(0, 0, canvas.width, canvas.height);

  context!.font = "100px Arial";
  context!.fillStyle = textColor || "#fff";
  const x = canvas.width / 2 - 50;
  const y = canvas.height / 2 + 35;
  context?.fillText(lastChar, x, y);

  const dataUrl = canvas.toDataURL("image/png");

  return dataUrl;
};
